Page MenuHomePhabricator

track Bridge openings by property datatype
Closed, ResolvedPublic8 Story Points

Description

Problem:
We want to track for which datatypes the Bridge is opened. Based on this we want to figure out which datatypes to support next.

List of all available datatypes: https://www.wikidata.org/wiki/Special:ListDatatypes

Acceptance criteria:

  • When a Bridge-enabled edit link is clicked then we count it bucketed by datatype of the property we are editing. Clicks for datatypes that are not supported yet are counted in the same way.
  • we have a visualization of this over time (dashboard) - @Addshore / @awight may be able to teach us

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 26 2019, 2:50 PM
Pablo-WMDE updated the task description. (Show Details)Aug 27 2019, 9:27 AM
Pablo-WMDE set the point value for this task to 8.
Pablo-WMDE moved this task from Ready to estimate to Ready to pick up on the Wikidata-Bridge board.
Pablo-WMDE added subscribers: awight, Addshore.
awight removed a subscriber: awight.Aug 27 2019, 9:43 AM

Sounds like the right way for this would be JS -> graphite via statsv and statsd and then just displaying the data in grafana.
https://wikitech.wikimedia.org/wiki/Graphite#statsv included the needed infomation using mw.track in JS.

Lydia_Pintscher triaged this task as Normal priority.Sep 20 2019, 10:51 AM
Lydia_Pintscher added a subscriber: awight.

@Lydia_Pintscher and perhaps @Charlie_WMDE, as the people who'll potentially look the most at these Grafana boards, a question:
Would you like to see a separate board for each data type or all (17 I think?) data types in one board?

All on one graph like on https://grafana.wikimedia.org/d/000000167/wikidata-datamodel?refresh=30m&panelId=6&fullscreen&orgId=1 is fine. When clicking on an entry in the legend grafana hides all the others.

Michael moved this task from To do to Doing on the Wikidata-Bridge-Sprint-8 board.Fri, Nov 1, 2:47 PM
Lydia_Pintscher closed this task as Resolved.Tue, Nov 12, 9:27 PM
Lydia_Pintscher claimed this task.
Lydia_Pintscher moved this task from Verification to Done on the Wikidata-Bridge-Sprint-9 board.

\o/